<?php
/**
 * The exceptions class used by the WebKDBDriver.
 *
 * @package webkdb
 */
if(!defined("WEBK_BASEDIR")) die("Cannot open this file! Must be included.");

/**
 * The main exception class of the WebK framework.
 *
 * @package webkdb
 * @author thg2oo6
 * @copyright Copyright (c) 2012
 * @version 1.0
 * @access public
 */
class WebKException extends Exception{
	/**
	 * The message of the exception.
	 *
	 * @var string $_message
	 */
	private $_message;

	/**
	 * Constructs a new thrown exception.
	 *
	 * @param string $message The message of the exception.
	 */
	public function __construct($message){$this->_message=$message;}

	/**
	 * Returns the message of the exception.
	 *
	 * @return string
	 */
	final public function message(){return $this->_message;}
}

/**
 * The exception used by the Query, Result and Driver classes.
 *
 * @package webkdb
 * @author thg2oo6
 * @copyright Copyright (c) 2012
 * @version 1.0
 * @access public
 */
class DBException extends WebKException{
	/**
	 * Constructs a new thrown exception.
	 *
	 * @param string $message The message of the exception.
	 */
	function __construct($message){parent::__construct($message);}
}

/**
 * The exception used by the QueryBuilder class
 *
 * @package webkdb
 * @author thg2oo6
 * @copyright Copyright (c) 2012
 * @version 1.0
 * @access public
 */
class QBException extends WebKException{
	/**
	 * Constructs a new thrown exception.
	 *
	 * @param string $message The message of the exception.
	 */
	function __construct($message){parent::__construct($message);}
}

/*File: exception.php*/
/*Date: 16.07.2012*/
